<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  
  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, minimum-scale=1, user-scalable=no, minimal-ui">
  <meta name="renderer" content="webkit">
  <meta http-equiv="Cache-Control" content="no-transform" />
  <meta http-equiv="Cache-Control" content="no-siteapp" />
  <meta name="apple-mobile-web-app-capable" content="yes">
  <meta name="apple-mobile-web-app-status-bar-style" content="black">
  <meta name="format-detection" content="telephone=no,email=no,adress=no">
  <!-- Color theme for statusbar -->
  <meta name="theme-color" content="#000000" />
  <!-- 强制页面在当前窗口以独立页面显示,防止别人在框架里调用页面 -->
  <meta http-equiv="window-target" content="_top" />
  
  
  <title>Hashmi Mohammed</title>
  <meta name="description" content="I Blog new and interesting things(which I feel :)) in a programmer point of view.">
<meta property="og:type" content="website">
<meta property="og:title" content="Hashmi Mohammed">
<meta property="og:url" content="http://hashmi.smf.gitlab.io/page/2/index.html">
<meta property="og:site_name" content="Hashmi Mohammed">
<meta property="og:description" content="I Blog new and interesting things(which I feel :)) in a programmer point of view.">
<meta name="twitter:card" content="summary">
<meta name="twitter:title" content="Hashmi Mohammed">
<meta name="twitter:description" content="I Blog new and interesting things(which I feel :)) in a programmer point of view.">
  <!-- Canonical links -->
  <link rel="canonical" href="http://hashmi.smf.gitlab.io/page/2/index.html">
  
  
    <link rel="icon" href="/favicon.png" type="image/x-icon">
  
  <link rel="stylesheet" href="/css/style.css">
  
  
  
  
</head>


<body class="main-center theme-blue" itemscope itemtype="http://schema.org/WebPage">
  <header class="header" itemscope itemtype="http://schema.org/WPHeader">
  <div class="slimContent">
    <div class="navbar-header">
      
      
      <div class="profile-block text-center">
        <a id="avatar" href="https://github.com/hashmee" target="_blank">
          <img class="img-circle img-rotate" src="/images/avatar.jpg" width="200" height="200">
        </a>
        <h2 id="name" class="hidden-xs hidden-sm">Hashmi Mohammed</h2>
        <h3 id="title" class="hidden-xs hidden-sm hidden-md">Ardent Programmer</h3>
        <small id="location" class="text-muted hidden-xs hidden-sm"><i class="icon icon-map-marker"></i> Hyderabad, India</small>
      </div>
      
      <div class="search" id="search-form-wrap">

    <form class="search-form sidebar-form">
        <div class="input-group">
            <input type="text" class="search-form-input form-control" placeholder="Search" />
            <span class="input-group-btn">
                <button type="submit" class="search-form-submit btn btn-flat" onclick="return false;"><i class="icon icon-search"></i></button>
            </span>
        </div>
    </form>
    <div class="ins-search">
  <div class="ins-search-mask"></div>
  <div class="ins-search-container">
    <div class="ins-input-wrapper">
      <input type="text" class="ins-search-input" placeholder="Type something..." x-webkit-speech />
      <button type="button" class="close ins-close ins-selectable" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
    </div>
    <div class="ins-section-wrapper">
      <div class="ins-section-container"></div>
    </div>
  </div>
</div>


</div>
      <button class="navbar-toggle collapsed" type="button" data-toggle="collapse" data-target="#main-navbar" aria-controls="main-navbar" aria-expanded="false">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
    </div>
    <nav id="main-navbar" class="collapse navbar-collapse" itemscope itemtype="http://schema.org/SiteNavigationElement" role="navigation">
      <ul class="nav navbar-nav main-nav ">
        
        
        <li class="menu-item menu-item-home">
          <a href="/.">
            
            <i class="icon icon-home-fill"></i>
            
            <span class="menu-title">Home</span>
          </a>
        </li>
        
        
        <li class="menu-item menu-item-about">
          <a href="/about">
            
            <i class="icon icon-cup-fill"></i>
            
            <span class="menu-title">About</span>
          </a>
        </li>
        
        
        <li class="menu-item menu-item-archives">
          <a href="/archives">
            
            <i class="icon icon-archives-fill"></i>
            
            <span class="menu-title">Archives</span>
          </a>
        </li>
        
      </ul>
      
	
    <ul class="social-links">
    	
        <li><a href="https://github.com/hashmee" target="_blank" title="Github" data-toggle=tooltip data-placement=top><i class="icon icon-github"></i></a></li>
        
        <li><a href="https://twitter.com/hashmi_smf" target="_blank" title="Twitter" data-toggle=tooltip data-placement=top><i class="icon icon-twitter"></i></a></li>
        
    </ul>

    </nav>
  </div>
</header>

  
    <aside class="sidebar" itemscope itemtype="http://schema.org/WPSideBar">
  <div class="slimContent">
    
      <div class="widget">
    <h3 class="widget-title">Board</h3>
    <div class="widget-body">
        <div id="board">
            <div class="content">
                <p>I Blog new and interesting things(which I feel :)) in a programmer point of view.</p>
            </div>
        </div>
    </div>
</div>

    
      

    
      
  <div class="widget">
    <h3 class="widget-title">Tags</h3>
    <div class="widget-body">
      <ul class="tag-list"><li class="tag-list-item"><a class="tag-list-link" href="/tags/active-record-transactions/">active record transactions</a><span class="tag-list-count">1</span></li><li class="tag-list-item"><a class="tag-list-link" href="/tags/angular-html-templates/">angular html templates</a><span class="tag-list-count">1</span></li><li class="tag-list-item"><a class="tag-list-link" href="/tags/dotfiles/">dotfiles</a><span class="tag-list-count">1</span></li><li class="tag-list-item"><a class="tag-list-link" href="/tags/firstpost/">firstpost</a><span class="tag-list-count">1</span></li><li class="tag-list-item"><a class="tag-list-link" href="/tags/react-redux-youtube-api-search/">react, redux, youtube_api_search</a><span class="tag-list-count">1</span></li></ul>
    </div>
  </div>


    
      
  <div class="widget">
    <h3 class="widget-title">Tag Cloud</h3>
    <div class="widget-body tagcloud">
      <a href="/tags/active-record-transactions/" style="font-size: 13px;">active record transactions</a> <a href="/tags/angular-html-templates/" style="font-size: 13px;">angular html templates</a> <a href="/tags/dotfiles/" style="font-size: 13px;">dotfiles</a> <a href="/tags/firstpost/" style="font-size: 13px;">firstpost</a> <a href="/tags/react-redux-youtube-api-search/" style="font-size: 13px;">react, redux, youtube_api_search</a>
    </div>
  </div>

    
      
  <div class="widget">
    <h3 class="widget-title">Archive</h3>
    <div class="widget-body">
      <ul class="archive-list"><li class="archive-list-item"><a class="archive-list-link" href="/archives/2018/01/">January 2018</a><span class="archive-list-count">2</span></li><li class="archive-list-item"><a class="archive-list-link" href="/archives/2017/12/">December 2017</a><span class="archive-list-count">1</span></li><li class="archive-list-item"><a class="archive-list-link" href="/archives/2017/11/">November 2017</a><span class="archive-list-count">2</span></li><li class="archive-list-item"><a class="archive-list-link" href="/archives/2017/10/">October 2017</a><span class="archive-list-count">2</span></li><li class="archive-list-item"><a class="archive-list-link" href="/archives/2017/06/">June 2017</a><span class="archive-list-count">4</span></li><li class="archive-list-item"><a class="archive-list-link" href="/archives/2017/05/">May 2017</a><span class="archive-list-count">3</span></li><li class="archive-list-item"><a class="archive-list-link" href="/archives/2017/03/">March 2017</a><span class="archive-list-count">1</span></li><li class="archive-list-item"><a class="archive-list-link" href="/archives/2015/06/">June 2015</a><span class="archive-list-count">1</span></li><li class="archive-list-item"><a class="archive-list-link" href="/archives/2014/12/">December 2014</a><span class="archive-list-count">1</span></li></ul>
    </div>
  </div>


    
      
  <div class="widget">
    <h3 class="widget-title">Recent Posts</h3>
    <div class="widget-body">
      <ul class="recent-post-list list-unstyled no-thumbnail">
        
          <li>
            
            <div class="item-inner">
              <p class="item-category">
                
              </p>
              <p class="item-title">
                <a href="/2018/01/17/react-redux-learning/" class="title">react_redux_learning</a>
              </p>
              <p class="item-date">
                <time datetime="2018-01-17T03:58:46.000Z" itemprop="datePublished">2018-01-17</time>
              </p>
            </div>
          </li>
          
          <li>
            
            <div class="item-inner">
              <p class="item-category">
                
              </p>
              <p class="item-title">
                <a href="/2018/01/09/my_dotfiles/" class="title">Dotfiles for my dev environment</a>
              </p>
              <p class="item-date">
                <time datetime="2018-01-08T19:30:06.000Z" itemprop="datePublished">2018-01-09</time>
              </p>
            </div>
          </li>
          
          <li>
            
            <div class="item-inner">
              <p class="item-category">
                
              </p>
              <p class="item-title">
                <a href="/2017/12/14/awesome-post/" class="title">Awesome post</a>
              </p>
              <p class="item-date">
                <time datetime="2017-12-13T19:20:06.000Z" itemprop="datePublished">2017-12-14</time>
              </p>
            </div>
          </li>
          
          <li>
            
            <div class="item-inner">
              <p class="item-category">
                
              </p>
              <p class="item-title">
                <a href="/2017/11/26/npm-json-server-for-random-api-with-loads-of-data/" class="title">npm json-server for random api with loads of data</a>
              </p>
              <p class="item-date">
                <time datetime="2017-11-25T18:39:57.000Z" itemprop="datePublished">2017-11-26</time>
              </p>
            </div>
          </li>
          
          <li>
            
            <div class="item-inner">
              <p class="item-category">
                
              </p>
              <p class="item-title">
                <a href="/2017/11/25/Docker-build-Ruby-on-Rails/" class="title">Docker build Ruby on Rails</a>
              </p>
              <p class="item-date">
                <time datetime="2017-11-24T20:55:54.000Z" itemprop="datePublished">2017-11-25</time>
              </p>
            </div>
          </li>
          
      </ul>
    </div>
  </div>
  

    
  </div>
</aside>

  
  <main class="main" role="main">
  
  <div class="content article-list">
    
      <article class="article article-type-post" itemscope itemtype="http://schema.org/BlogPosting">
  <div class="article-header">
    
  
    <h1 itemprop="name">
      <a class="article-title" href="/2017/06/05/Ruby-on-Rails-but-this-time-with-Angular-and-Webpack-✊/">Ruby on Rails! but this time with Angular and Webpack ✊</a>
    </h1>
  

  </div>
  
  <p class="article-meta">
    <span class="article-date">
    <i class="icon icon-calendar-check"></i>
	<a href="/2017/06/05/Ruby-on-Rails-but-this-time-with-Angular-and-Webpack-✊/" class="article-date">
	  <time datetime="2017-06-04T19:11:46.000Z" itemprop="datePublished">Jun 5</time>
	</a>
</span>
    
    

    <span class="post-comment"><i class="icon icon-comment"></i> <a href="/2017/06/05/Ruby-on-Rails-but-this-time-with-Angular-and-Webpack-✊/#comments" class="article-comment-link">Comments</a></span>
    
  </p>
</article>

    
      <article class="article article-type-post" itemscope itemtype="http://schema.org/BlogPosting">
  <div class="article-header">
    
  
    <h1 itemprop="name">
      <a class="article-title" href="/2017/05/24/I-feel-really-Interesting/">I feel really Interesting</a>
    </h1>
  

  </div>
  
  <p class="article-meta">
    <span class="article-date">
    <i class="icon icon-calendar-check"></i>
	<a href="/2017/05/24/I-feel-really-Interesting/" class="article-date">
	  <time datetime="2017-05-24T06:45:35.000Z" itemprop="datePublished">May 24</time>
	</a>
</span>
    
    

    <span class="post-comment"><i class="icon icon-comment"></i> <a href="/2017/05/24/I-feel-really-Interesting/#comments" class="article-comment-link">Comments</a></span>
    
  </p>
</article>

    
      <article class="article article-type-post" itemscope itemtype="http://schema.org/BlogPosting">
  <div class="article-header">
    
  
    <h1 itemprop="name">
      <a class="article-title" href="/2017/05/23/what-I-have-learnt-today-on-rails/">what I have learnt today on rails</a>
    </h1>
  

  </div>
  
  <p class="article-meta">
    <span class="article-date">
    <i class="icon icon-calendar-check"></i>
	<a href="/2017/05/23/what-I-have-learnt-today-on-rails/" class="article-date">
	  <time datetime="2017-05-22T19:41:08.000Z" itemprop="datePublished">May 23</time>
	</a>
</span>
    
    
  <span class="article-tag">
    <i class="icon icon-tags"></i>
	<a class="article-tag-link" href="/tags/active-record-transactions/">active record transactions</a>
  </span>


    <span class="post-comment"><i class="icon icon-comment"></i> <a href="/2017/05/23/what-I-have-learnt-today-on-rails/#comments" class="article-comment-link">Comments</a></span>
    
  </p>
</article>

    
      <article class="article article-type-post" itemscope itemtype="http://schema.org/BlogPosting">
  <div class="article-header">
    
  
    <h1 itemprop="name">
      <a class="article-title" href="/2017/05/07/Avoiding-git-push-by-giving-passwords-every-time/">Avoiding git push by giving passwords every time</a>
    </h1>
  

  </div>
  
  <p class="article-meta">
    <span class="article-date">
    <i class="icon icon-calendar-check"></i>
	<a href="/2017/05/07/Avoiding-git-push-by-giving-passwords-every-time/" class="article-date">
	  <time datetime="2017-05-07T10:08:00.000Z" itemprop="datePublished">May 7</time>
	</a>
</span>
    
    

    <span class="post-comment"><i class="icon icon-comment"></i> <a href="/2017/05/07/Avoiding-git-push-by-giving-passwords-every-time/#comments" class="article-comment-link">Comments</a></span>
    
  </p>
</article>

    
      <article class="article article-type-post" itemscope itemtype="http://schema.org/BlogPosting">
  <div class="article-header">
    
  
    <h1 itemprop="name">
      <a class="article-title" href="/2017/03/18/has-and-belongs-to-many-tutorial/">has_and_belongs_to_many tutorial</a>
    </h1>
  

  </div>
  
  <p class="article-meta">
    <span class="article-date">
    <i class="icon icon-calendar-check"></i>
	<a href="/2017/03/18/has-and-belongs-to-many-tutorial/" class="article-date">
	  <time datetime="2017-03-17T22:10:31.000Z" itemprop="datePublished">Mar 18</time>
	</a>
</span>
    
    

    <span class="post-comment"><i class="icon icon-comment"></i> <a href="/2017/03/18/has-and-belongs-to-many-tutorial/#comments" class="article-comment-link">Comments</a></span>
    
  </p>
</article>

    
      <article class="article article-type-post" itemscope itemtype="http://schema.org/BlogPosting">
  <div class="article-header">
    
  
    <h1 itemprop="name">
      <a class="article-title" href="/2015/06/09/Some-ruby-on-rails/">Some ruby on rails</a>
    </h1>
  

  </div>
  
  <p class="article-meta">
    <span class="article-date">
    <i class="icon icon-calendar-check"></i>
	<a href="/2015/06/09/Some-ruby-on-rails/" class="article-date">
	  <time datetime="2015-06-09T05:33:41.000Z" itemprop="datePublished">Jun 9</time>
	</a>
</span>
    
    

    <span class="post-comment"><i class="icon icon-comment"></i> <a href="/2015/06/09/Some-ruby-on-rails/#comments" class="article-comment-link">Comments</a></span>
    
  </p>
</article>

    
      <article class="article article-type-post" itemscope itemtype="http://schema.org/BlogPosting">
  <div class="article-header">
    
  
    <h1 itemprop="name">
      <a class="article-title" href="/2014/12/17/Hello-world/">Hello world</a>
    </h1>
  

  </div>
  
  <p class="article-meta">
    <span class="article-date">
    <i class="icon icon-calendar-check"></i>
	<a href="/2014/12/17/Hello-world/" class="article-date">
	  <time datetime="2014-12-17T11:40:18.000Z" itemprop="datePublished">Dec 17</time>
	</a>
</span>
    
    

    <span class="post-comment"><i class="icon icon-comment"></i> <a href="/2014/12/17/Hello-world/#comments" class="article-comment-link">Comments</a></span>
    
  </p>
</article>

    
  </div>

  
    
    <nav class="bar bar-footer clearfix" data-stick-bottom>
        <div class="bar-inner">
        <ul class="pager pull-left">
            
            <li class="prev">
                <a href="/">
                    <i class="icon icon-angle-left"></i>
                    Prev
                </a>
            </li>
            
            
            <li class="next disabled">
                <a href="javascript:;">
                    Next
                    <i class="icon icon-angle-right"></i>                    
                </a>
            </li>
            
        </ul>
        <div class="total-article bar-right">Page 2 of 2</div>
        </div>
    </nav>
    
 
</main>

  <footer class="footer" itemscope itemtype="http://schema.org/WPFooter">
	
	
    <ul class="social-links">
    	
        <li><a href="https://github.com/hashmee" target="_blank" title="Github" data-toggle=tooltip data-placement=top><i class="icon icon-github"></i></a></li>
        
        <li><a href="https://twitter.com/hashmi_smf" target="_blank" title="Twitter" data-toggle=tooltip data-placement=top><i class="icon icon-twitter"></i></a></li>
        
    </ul>

    <div class="copyright">
    	
        <div class="publishby">

        </div>
    </div>
</footer>

  <script src="//cdn.jsdelivr.net/npm/jquery@1.12.4/dist/jquery.min.js"></script>
<script>
window.jQuery || document.write('<script src="js/jquery.min.js"><\/script>')
</script>
<script src="/js/plugin.min.js"></script>
<script src="/js/application.js"></script>

    <script>
(function (window) {
    var INSIGHT_CONFIG = {
        TRANSLATION: {
            POSTS: 'Posts',
            PAGES: 'Pages',
            CATEGORIES: 'Categories',
            TAGS: 'Tags',
            UNTITLED: '(Untitled)',
        },
        ROOT_URL: '/',
        CONTENT_URL: '/content.json',
    };
    window.INSIGHT_CONFIG = INSIGHT_CONFIG;
})(window);
</script>
<script src="/js/insight.js"></script>





   







    <script defer type="text/javascript">
(function(i,s,o,g,r,a,m) {i['GoogleAnalyticsObject']=r;i[r]=i[r]||function() {
(i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
})(window,document,'script','//www.google-analytics.com/analytics.js','ga');

ga('create', 'UA-111202628-1', 'auto');
ga('send', 'pageview');

</script>



</body>
</html>